# norootforbuild

Name:           xmms
Summary:        The extensible media player
Version:        1.2.11
Release:        10.2
URL:            http://www.xmms.org/
License:        GPL
Group:          Productivity/Multimedia/Sound/Players
Provides:       x11amp
Autoreqprov:    on
Requires:       xmms-lib = %version
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        http://www.xmms.org/files/1.2.x/%{name}-%{version}.tar.bz2
Source27:       README.3dse
Source1:        xmmsuse-1.0-2.tar.bz2
Source2:        xmmsuse_blue-1.2-3.tar.bz2
Source3:        xmms.desktop
Source4:        xmms_enqueue.desktop
Source5:        xmms_audio_cd.desktop
Source6:        %{name}-1.2.10-gentoo-m4-1.1.tar.bz2
Source7:	xmms.png
Patch2:         xmms-wchar.patch
Patch3:         xmms-skins.patch
Patch4:         xmms-output-auto.patch
Patch5:         xmms-gcc4.patch
Patch8:         xmms-1.2.8-fontset.diff
Patch18:        xmms-1.2.5-3dse-11.patch
Patch19:        xmms-1.2.8-3dse-11-fix.patch
Patch21:        xmms-1.2.6-dlopen-fix.diff
Patch22:        xmms-1.2.7-am_gettext.fix
Patch24:        xmms-ptr_int_casts.diff
Patch25:        xmms-mpg123_no_strict_aliasing.diff
Patch26:        xmms-codecleanup.diff
Patch28:        xmms-no_unused_parameter.patch
Patch31:        cdaudio-device.patch
Patch34:        xmms-output-auto-fix.diff
Patch35:        xmms-output-auto-noarts.diff
Patch36:        aliasing.patch
Patch37:        %{name}-%{version}-libxmms-charset.diff
Patch38:        %{name}-%{version}-id3convert.diff
Patch39:        %{name}-%{version}-latin-id3.diff
Patch40:        %{name}-%{version}-encode-override.diff
Patch41:        %{name}-%{version}-id3v2edit.diff
Patch42:        %{name}-%{version}-uninitialized.diff
Patch43:        %{name}-%{version}-crossfade-0.3.9.diff
Patch44:        %{name}-%{version}-play-audiocd.diff
Patch45:        %{name}-%{version}-cdaudio-cddb-proxy.diff
Patch46:        %{name}-%{version}-sigterm.diff
Patch47:        %{name}-%{version}-vorbis.patch
Provides:       alsa-xmms
Obsoletes:      alsa-xmms
BuildRequires:  libjack-devel arts-devel esound-devel imlib-devel libjpeg-devel

%if 0%{?suse_version} > 1000
BuildRequires: libdrm-devel
%endif

%if 0%{?suse_version} > 1020
BuildRequires: libmikmod-devel
%endif

%if 0%{?suse_version}
BuildRequires:	update-desktop-files libxml-devel libmikmod gtk-devel orbit-devel
%endif

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
BuildRequires:	libxml2-devel gtk+-devel ORBit2-devel
%endif

%description
Xmms is a media player for the X Window System that supports Winamp
skins and that has a sophisticated plugin system that allows for easy
extension of its abilities. Xmms is able to deal with all common types
of media files.

You might want to have a look at the xmms-plugins package which
contains a large number of effect, input, output, and visualization
plugins for xmms.


%package lib
Summary:        The extensible media player
Group:          Productivity/Multimedia/Sound/Players
Obsoletes:	xmms-lib-mad

%description lib
Xmms is a media player for the X Window System that supports Winamp
skins and that has a sophisticated plugin system that allows for easy
extension of its abilities. Xmms is able to deal with all common types
of media files.

You might want to have a look at the xmms-plugins package which
contains a large number of effect, input, output, and visualization
plugins for xmms.


%package devel
Summary:        The extensible media player
Group:          Productivity/Multimedia/Sound/Players
Autoreqprov:    on
Requires:       %{name} = %{version} glib-devel
%if 0%{?suse_version}
Requires:	gtk-devel
%endif
%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
Requires:	gtk+-devel
%endif

%description devel
Xmms is a media player for the X Window System that supports Winamp
skins and that has a sophisticated plugin system that allows for easy
extension of its abilities. Xmms is able to deal with all common types
of media files.

You might want to have a look at the xmms-plugins package which
contains a large number of effect, input, output, and visualization
plugins for xmms.

%prep
%setup -q -a6
%patch2
%patch3
%patch4
%patch5
%patch8
%patch18
%patch19
rm Output/OSS/soundcard.h
%patch21
%if 0%{?suse_version} > 810
%patch22
%endif
%patch24
%patch25
%patch26
%patch28
%patch31
%patch34
%patch35
%patch36
%patch37
%patch38
%patch39
%patch40
%patch41
%patch42
%patch43
%patch44
%patch45
%patch46
%patch47

rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
sed "s/ no / /" po/LINGUAS > po/LINGUAS.tmp && mv po/LINGUAS.tmp po/LINGUAS
# Convert translations to UTF-8
for file in $(grep -L charset=UTF-8 po/*.po) ; do
    msgconv -t UTF-8 $file >$file.new
    mv $file.new $file
done

%build
%if 0%{?suse_version}
%{suse_update_config -f . libxmms }
%endif

M4_DIR=`pwd`/m4
for i in . libxmms; do
	pushd $i
	rm acinclude.m4
	libtoolize --force --copy
	[ ! -f ltmain.sh ] && ln -s ../ltmain.sh
	aclocal --force -I $M4_DIR
	autoheader --force
	automake --gnu --add-missing --include-deps --force-missing --copy
	autoconf --force
	popd
done
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
CCASFLAGS="-Wa,--noexecstack" \
	./configure \
%ifarch %ix86
	--enable-simd \
%endif
	--enable-ipv6 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--datadir=%{_datadir} \
	--mandir=%{_mandir}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/xmms
install -m 644 $RPM_SOURCE_DIR/README.3dse README AUTHORS COPYING ChangeLog FAQ INSTALL NEWS $RPM_BUILD_ROOT%{_docdir}/xmms
rm -f %{_infodir}/dir.bak.gz
install -d -m 755 $RPM_BUILD_ROOT/usr/share/xmms/Skins
%if 0%{?ul_version}
install -m 644 %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT/usr/share/xmms/Skins
%endif
# remove unwanted files
rm $RPM_BUILD_ROOT%_libdir/libxmms.a
%ifarch s390 s390x
rm $RPM_BUILD_ROOT/usr/%_lib/xmms/Output/libesdout.{la,so}
%endif
%find_lang %name
%if 0%{?suse_version}
%suse_update_desktop_file -i xmms         AudioVideo Player
%endif
mkdir -p $RPM_BUILD_ROOT/usr/share/applications/
install -m 0644 %SOURCE4 $RPM_BUILD_ROOT/usr/share/applications/
install -m 0644 %SOURCE5 $RPM_BUILD_ROOT/usr/share/applications/
%if 0%{?suse_version} > 1020 || 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version} 
install -m 0644 -D %SOURCE7 $RPM_BUILD_ROOT/usr/share/pixmaps/xmms.png
%endif
%if 0%{?suse_version}
#%suse_update_desktop_file -i xmms_audio_cd AudioVideo Player
%suse_update_desktop_file -i xmms_audio_cd X-SuSE-CD Player
%endif
mkdir -p $RPM_BUILD_ROOT/media/xmms_audio_cd

%clean
rm -rf $RPM_BUILD_ROOT

%post
%if 0%{?suse_version}
%run_ldconfig
%else
/sbin/ldconfig
%endif

%postun
%if 0%{?suse_version}
%run_ldconfig
%else
/sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%dir %{_docdir}/xmms
%{_docdir}/xmms/AUTHORS
%{_docdir}/xmms/COPYING
%{_docdir}/xmms/ChangeLog
%{_docdir}/xmms/INSTALL
%{_docdir}/xmms/FAQ
%{_docdir}/xmms/NEWS
%{_docdir}/xmms/README*
%dir /usr/share/xmms
/usr/share/xmms/wmxmms.xpm
%dir /usr/share/xmms/Skins
%if 0%{?ul_version}
/usr/share/xmms/Skins/*
%endif
/usr/bin/wmxmms
/usr/bin/xmms
/usr/share/applications/*.desktop
/usr/share/pixmaps/xmms.png
%_mandir/man1/wmxmms.1.gz
%_mandir/man1/xmms.1.gz
%dir /media/xmms_audio_cd

%files lib -f %name.lang
%defattr(-,root,root)
%dir /usr/%_lib/xmms
%dir /usr/%_lib/xmms/Effect
/usr/%_lib/xmms/Effect/libecho.so
/usr/%_lib/xmms/Effect/libstereo.so
/usr/%_lib/xmms/Effect/libvoice.so
%dir /usr/%_lib/xmms/General
/usr/%_lib/xmms/General/libir.so
/usr/%_lib/xmms/General/libjoy.so
/usr/%_lib/xmms/General/libsong_change.so
%dir /usr/%_lib/xmms/Input
/usr/%_lib/xmms/Input/libcdaudio.so
%if 0%{?suse_version}
/usr/%_lib/xmms/Input/libmikmod.so
%endif
/usr/%_lib/xmms/Input/libtonegen.so
/usr/%_lib/xmms/Input/libwav.so
/usr/%_lib/xmms/Input/libvorbis.so
%dir /usr/%_lib/xmms/Output
/usr/%_lib/xmms/Output/libOSS.so
/usr/%_lib/xmms/Output/libdisk_writer.so
/usr/%_lib/xmms/Output/libALSA.so
%ifnarch s390 s390x
/usr/%_lib/xmms/Output/libesdout.so
%endif
%dir /usr/%_lib/xmms/Visualization
/usr/%_lib/xmms/Visualization/libbscope.so
/usr/%_lib/xmms/Visualization/libogl_spectrum.so
/usr/%_lib/xmms/Visualization/libsanalyzer.so
/usr/%_lib/libxmms.so.*
/usr/%_lib/xmms/Input/libmpg123.so
/usr/%_lib/xmms/Input/libmpg123.la

%files devel
%defattr(-,root,root)
/usr/include/xmms
/usr/%_lib/xmms/Effect/libecho.la
/usr/%_lib/xmms/Effect/libstereo.la
/usr/%_lib/xmms/Effect/libvoice.la
/usr/%_lib/xmms/General/libir.la
/usr/%_lib/xmms/General/libjoy.la
/usr/%_lib/xmms/General/libsong_change.la
/usr/%_lib/xmms/Input/libcdaudio.la
%if 0%{?suse_version}
/usr/%_lib/xmms/Input/libmikmod.la
%endif
/usr/%_lib/xmms/Input/libtonegen.la
/usr/%_lib/xmms/Input/libwav.la
/usr/%_lib/xmms/Input/libvorbis.la
/usr/%_lib/xmms/Output/libOSS.la
/usr/%_lib/xmms/Output/libdisk_writer.la
/usr/%_lib/xmms/Output/libALSA.la
%ifnarch s390 s390x
/usr/%_lib/xmms/Output/libesdout.la
%endif
/usr/%_lib/xmms/Visualization/libbscope.la
/usr/%_lib/xmms/Visualization/libogl_spectrum.la
/usr/%_lib/xmms/Visualization/libsanalyzer.la
/usr/bin/xmms-config
# /usr/%_lib/libxmms.a
/usr/%_lib/libxmms.la
/usr/%_lib/libxmms.so
/usr/share/aclocal/xmms.m4

%changelog -n xmms
* Thu Jul 24 2008 Carsten Schoene <cs@linux-administrator.com>
- initial import
